import { HttpClient } from '@angular/common/http';
import { BaseApiTemplateService } from '../shared/base-api-template-service.model';
import { ApiVisa } from '../shared/api-visa.model';
import { Observable } from 'rxjs';
import { ApiResponseModel, BasicApiResponseModel } from '../shared/api-response.model';
import { TinValidationDto } from '../../data-transfer-objects';
export declare class LHDNIntegrationService extends BaseApiTemplateService<any> {
    readonly url: string;
    constructor(http: HttpClient);
    tinValidation(dtoObject: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    tinValidationLoginEp(dtoObject: TinValidationDto, visa: ApiVisa): Observable<BasicApiResponseModel<TinValidationDto>>;
    submissionDocDetails(dtoObject: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    tinValidationWithEntityAccessKey(dtoObject: TinValidationDto, entity_hdr_guid: string, access_key: string, visa: ApiVisa): Observable<BasicApiResponseModel<TinValidationDto>>;
    tinSearch(dtoObject: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
}
